@import 'variables.scss';

.aside {
	position: absolute;
	max-width: 300px;
	width: 100%;
	left: 0px;
	top: 0px;
	bottom: 0px;
	background: $white;
	border: 1px solid $mercury;
	z-index: 1;
	padding: 100px 30px 30px;

	&-list {
		font-size: 12px;
		color: rgba(0, 0, 0, 0.3);

		&-li {
			padding-top: 20px;

			&-a {
				display: flex;
				align-items: center;
				text-decoration: none;
				color: inherit;
				font-size: inherit;
				padding: 8px 17px;
				width: 100%;
				min-height: 32px;
				border: 1px solid $athens;
				border-radius: 97px;

				&:hover {
					border-color: $purple;
				}

				&.active {
					background-color: $iron;
					border-color: $iron;
					color: rgba(0, 0, 0, 0.3);
				}

				&.dragging {
					background-color: $purple;
					border-color: $purple;
					color: $white;
				}
			}
		}
	}
}
